be.ehealth.technicalconnector.service.sts.impl

## Class STSServiceWsTrustImpl

- java.lang.Object
- - be.ehealth.technicalconnector.service.sts.impl.STSServiceWsTrustImpl

- All Implemented Interfaces:
    STSService
  Direct Known Subclasses:
    STSServiceWsTrustSAML11Impl, STSServiceWsTrustSAML20Impl

      public abstract class STSServiceWsTrustImpl
      extends Object
      implements STSService

  The eHealth-platform Secure Token Service provides a web service interface to request a SAML Assertion token using the Request Secure Token operation. The service provided via this technical connector allows the invocation of this operation based on specific input parameters. Based on these parameters, a signed SAML request is created and sent to the eHealth-platform service.

  Implements : `STSService`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `STSServiceWsTrustImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Element` | `getToken(SAMLRequest request)`
    `Element` | `renewToken(Credential headerCredentials, Credential bodyCredentials, Element samlToken, Duration validity)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface be.ehealth.technicalconnector.service.sts.STSService

      `getToken, getToken, getToken, getToken, renewToken`

- - ### Constructor Detail

    - #### STSServiceWsTrustImpl

          public STSServiceWsTrustImpl()

  - ### Method Detail

    - #### getToken

          public Element getToken(SAMLRequest request)
                           throws TechnicalConnectorException

      Specified by:
        `getToken` in interface `STSService`
      Throws:
        `TechnicalConnectorException`

    - #### renewToken

          public Element renewToken(Credential headerCredentials,
                                    Credential bodyCredentials,
                                    Element samlToken,
                                    Duration validity)
                             throws TechnicalConnectorException

      Specified by:
        `renewToken` in interface `STSService`
      Throws:
        `TechnicalConnectorException`

Connector Packaging PERSLOGOPEDIST 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.